package kr.co.hanwha.hifive.data.model;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class AlarmData {
    int member_id;
    String title;
    String message;
    String response;
    String created_at;
    String updated_at;

    String profile_url;//나중에 구현
    boolean is_opened;
    int noti_info_id;
    int task_id;
    int project_id;
    int context_id;

    public String getProfile_url() {
        return profile_url;
    }

    public void setIs_opened(boolean is_opened) {
        this.is_opened = is_opened;
    }

    public boolean is_opened() {
        return is_opened;
    }

    public int getNoti_info_id() {
        return noti_info_id;
    }

    public int getTask_id() {
        return task_id;
    }

    public int getProject_id() {
        return project_id;
    }

    public int getContext_id() {
        return context_id;
    }

    public String getTitle() {
        return title;
    }

    public String getMessage() {
        return message;
    }

    public String getCreated_at() {
        return created_at;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public void setCreated_at(String created_at) {
        this.created_at = created_at;
    }

    @Override
    public String toString() {
        return "AlarmData{" +
                "member_id=" + member_id +
                ", title='" + title + '\'' +
                ", message='" + message + '\'' +
                ", response='" + response + '\'' +
                ", created_at='" + created_at + '\'' +
                ", updated_at='" + updated_at + '\'' +
                '}';
    }
}
